%define name		gpicview
%define title		GPicView
%define version 	0.2.5
%define release 	%mkrel 2

Summary: 	A very simple, fast, and lightweight image viewer featuring immediate startup.
Summary(de):	GPicView ist ein schneller, einfacher und genügsamer Bildbetrachter
Name: 		%name
Version: 	%version
Release: 	%release
License: 	GPL
Group: 		Graphical desktop/LXDE
Source:		%{name}-%{version}.tar.xz
Patch0:		image-view.c.patch
BuildRoot: 	%_tmppath/%name-%version-%release-buildroot
URL: 		http://blog.lxde.org/
#-------------------------------------------------
BuildRequires:	%{_lib}jpeg-devel
BuildRequires:	%{_lib}gtk+2.0_0-devel >= 2.16.0
#-------------------------------------------------
Requires:	%{_lib}gtk+2.0_0
Requires:	%{_lib}jpeg8
Obsoletes:	%{name} < %version


%description
-Extremely lightweight and fast with low memory usage
-Very suitable for default image viewer of desktop system
-Simple and intuitive interface
-Minimal lib dependency: Only pure GTK+ is used
-Desktop independent: Doesn't require any specific desktop environment
-Open source, licensed under GNU GPL

#german
%description -l de
GPicView ist ein genügsamer Bildbetrachter auf Basis von GTK+ 2.x mit den 
folgenden Merkmalen:

Extrem schnell und genügsam, geringer Speicherverbrauch
Empfiehlt sich als Standardbildbetrachter Ihres Desktops
Einfache und selbsterklärende Oberfläche
Minimale Bibliotheksabhängigkeit: nur reines GTK+ wird benutzt
Unabhängig vom Desktop: es wird keine spezielle Arbeitsumgebung benötigt


%prep
%setup -q
%apply_patches

%build
%configure2_5x --prefix=%{_prefix}
%{__make} %{?_smp_mflags} %{?mflags}

%install
%{__make} %{?mflags_install} DESTDIR=$RPM_BUILD_ROOT install

#fix generic name
perl -pi -e "s|Name=Image Viewer|Name=GPicView|" $RPM_BUILD_ROOT%{_datadir}/applications/gpicview.desktop

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --remove-category='Core' \
  --remove-category='Utility' \
  --remove-category='Photography' \
  --remove-category='RasterGraphics' \
  --add-category="X-MandrivaLinux-Multimedia-Graphics" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*

 
%clean
test "x$RPM_BUILD_ROOT" != "x/" && rm -rf $RPM_BUILD_ROOT

%post
update-desktop-database &> /dev/null || :

%postun
update-desktop-database &> /dev/null || :

%files
%defattr(-, root, root)
%{_bindir}/%{name}
%{_datadir}/locale/*
%{_datadir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/48x48/apps/%{name}.png

%changelog
* Tue Apr 23 2019 tex - 0.2.5-2pclos2019
- rebuild against updates

* Tue Feb 23 2016 daniel <meisssw01 at gmail.com> 0.2.5-1pclos2016
-update

* Sun Jun 07 2015 bb <bb> 0.2.4-3pclos2015
- fix anitmated gifs

* Mon Dec 16 2013 pinoc <vogtpet at gmail.com> 0.2.4-2pclos2013
- updated URL
- set Require to jpeg8

* Wed Oct 23 2013 ghostbunny <hmhaase at pclinuxosusers dot de> 0.2.4-1pclos2013
- 0.2.4
- fixed files section (icon is now in iconsdir not in pixmaps)

